/**
 * @file FaspManagerCommon.h
 *
 * Aspera, Inc.
 */

#ifndef __FASP_MANAGER_COMMON_H__
#define __FASP_MANAGER_COMMON_H__

/* Defines pertaining to dll / static lib builds */
#ifdef FASP_MANAGER_EXPORTS         // Defined for dll build
  #define FASP_MANAGER_API          __declspec( dllexport )
#elif defined FASP_MANAGER_IMPORTS  // Defined by user of dll
  #define FASP_MANAGER_API          __declspec( dllimport )
#else
  #define FASP_MANAGER_API          // Defined for static lib build
#endif

#endif /* __FASP_MANAGER_COMMON_H__ */
